Public Class FoodNutrition
    Implements ICloneable

    Private _calories As Double
    Private _caloriesFromFat As Double
    Private _totalFat As Double
    Private _saturatedFat As Double
    Private _transFat As Double
    Private _cholesteral As Double
    Private _sodium As Double
    Private _totalCarbohydrates As Double
    Private _dietaryFiber As Double
    Private _sugar As Double
    Private _protein As Double
    Private _vitaminA As Integer
    Private _vitaminC As Integer
    Private _calcium As Integer
    Private _iron As Integer


    Public Property Iron() As Integer

        Get
            Return _iron
        End Get
        Set(ByVal value As Integer)
            _iron = value

        End Set
    End Property

    Public Property Calcium() As Integer
        Get
            Return _calcium
        End Get
        Set(ByVal value As Integer)
            _calcium = value
        End Set
    End Property

    Public Property VitaminC() As Integer
        Get
            Return _vitaminC
        End Get
        Set(ByVal value As Integer)
            _vitaminC = value
        End Set
    End Property

    Public Property VitaminA() As Integer
        Get
            Return _vitaminA
        End Get
        Set(ByVal value As Integer)
            _vitaminA = value
        End Set
    End Property

    Public Property Protein() As Double
        Get
            Return _protein
        End Get
        Set(ByVal value As Double)
            _protein = value
        End Set
    End Property

    Public Property Sugar() As Double
        Get
            Return _sugar
        End Get
        Set(ByVal value As Double)
            _sugar = value
        End Set
    End Property

    Public Property DietaryFiber() As Double
        Get
            Return _dietaryFiber
        End Get
        Set(ByVal value As Double)
            _dietaryFiber = value
        End Set
    End Property

    Public Property TotalCarbohydrates() As Double
        Get
            Return _totalCarbohydrates
        End Get
        Set(ByVal value As Double)
            _totalCarbohydrates = value
        End Set
    End Property

    Public Property Sodium() As Double
        Get
            Return _sodium
        End Get
        Set(ByVal value As Double)
            _sodium = value
        End Set
    End Property

    Public Property Cholesteral() As Double
        Get
            Return _cholesteral
        End Get
        Set(ByVal value As Double)
            _cholesteral = value
        End Set
    End Property

    Public Property TransFat() As Double
        Get
            Return _transFat
        End Get
        Set(ByVal value As Double)
            _transFat = value
        End Set
    End Property

    Public Property SaturatedFat() As Double
        Get
            Return _saturatedFat
        End Get
        Set(ByVal value As Double)
            _saturatedFat = value
        End Set
    End Property

    Public Property TotalFat() As Double
        Get
            Return _totalFat
        End Get
        Set(ByVal value As Double)
            _totalFat = value
        End Set
    End Property

    Public Property CaloriesFromFat() As Double
        Get
            Return _caloriesFromFat
        End Get
        Set(ByVal value As Double)
            _caloriesFromFat = value
        End Set
    End Property

    Public Property Calories() As Double
        Get
            Return _calories
        End Get
        Set(ByVal value As Double)
            _calories = value
        End Set
    End Property


    Public Sub New()
        _calories = 0.0
        _caloriesFromFat = 0.0
        _totalFat = 0.0
        _saturatedFat = 0.0
        _transFat = 0.0
        _cholesteral = 0.0
        _sodium = 0.0
        _totalCarbohydrates = 0.0
        _dietaryFiber = 0.0
        _sugar = 0.0
        _protein = 0.0
        _vitaminA = 0
        _vitaminC = 0
        _calcium = 0
        _iron = 0
    End Sub

    Public Sub New(ByVal calories As Double, ByVal caloriesFromFat As Double, ByVal totalFat As Double, ByVal saturatedFat As Double, ByVal transFat As Double, _
                 ByVal cholesteral As Double, ByVal sodium As Double, ByVal totalCarbohydrates As Double, ByVal dietaryFiber As Double, ByVal sugar As Double, ByVal protein As Double, ByVal vitaminA As Integer, _
                 ByVal vitaminC As Integer, ByVal calcium As Integer, ByVal iron As Integer)
        _calories = calories
        _caloriesFromFat = caloriesFromFat
        _totalFat = totalFat
        _saturatedFat = saturatedFat
        _transFat = transFat
        _cholesteral = cholesteral
        _sodium = sodium
        _totalCarbohydrates = totalCarbohydrates
        _dietaryFiber = dietaryFiber
        _sugar = sugar
        _protein = protein
        _vitaminA = vitaminA
        _vitaminC = vitaminC
        _calcium = calcium
        _iron = iron
    End Sub


    Public Overrides Function ToString() As String
        Return ("Calories: " & _calories & _
        " CaloriesFromFat: " & _caloriesFromFat & _
        " TotalFat: " & _totalFat & _
        " SaturatedFat: " & _saturatedFat & _
        " TransFat: " & _transFat & _
        " Cholesteral: " & _cholesteral & _
        " Sodium: " & _sodium & _
        " TotalCarbohydrates: " & _totalCarbohydrates & _
        " DietaryFiber: " & _dietaryFiber & _
        " Sugar: " & _sugar & _
        " Protein: " & _protein & _
        " Vitamin A: " & _vitaminA & _
        " Vitamin C: " & _vitaminC & _
        " Calcium: " & _calcium & _
        " Iron: " & _iron)
    End Function

    Public Function Clone() As Object Implements System.ICloneable.Clone
        Return Me.MemberwiseClone
    End Function

   

 
End Class
